=== debian/changelog ===
xsettingsd (0.0.20121210+72+g474f18a-1) unstable; urgency=low

  * Initial release (Closes: #684884)

 -- David Bremner <bremner@debian.org>  Sat, 03 Aug 2013 10:05:51 -0300
