=== debian/control ===
Source: xsettingsd
Section: x11
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libx11-dev,
 scons,
 pkg-config
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/xsettingsd/
Vcs-Git: git://anonscm.debian.org/git/collab-maint/xsettingsd
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=xsettingsd/xsettingsd.git;a=summary

Package: xsettingsd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Provides settings to X11 applications
 xsettingsd is a daemon that implements the XSETTINGS specification.
 It is intended to be small, fast, and minimally dependent on other
 libraries. It can serve as an alternative to gnome-settings-daemon
 for users who are not using the GNOME desktop environment but who
 still run GTK+ applications and want to configure things such as
 themes, font antialiasing/hinting, and UI sound effects.
