## xsettingsd 0.0.20150615+2+gb4999f5e

=== SConstruct ===
--- 
+++ 
@@ -41,12 +41,12 @@
       'RunTests': run_tests_builder,
     })
 
-env.Append(CPPFLAGS = os.environ.get('CPPFLAGS', ''),
-           CFLAGS = os.environ.get('CFLAGS', ''),
-           CXXFLAGS = os.environ.get('CXXFLAGS', ''),
-           LDFLAGS = os.environ.get('LDFLAGS', ''))
+env.Append(CPPFLAGS=os.environ.get('CPPFLAGS', ''),
+           CFLAGS=os.environ.get('CFLAGS', ''),
+           CXXFLAGS=os.environ.get('CXXFLAGS', ''),
+           LDFLAGS=os.environ.get('LDFLAGS', ''))
 
-env.Append(CCFLAGS = '-Wall -Werror')
+env.Append(CCFLAGS='-Wall -Werror -Wno-narrowing')
 
 
 srcs = Split('''\
@@ -67,8 +67,14 @@
 Default([xsettingsd, dump_xsettings])
 
 
+gtest_env = env.Clone()
+gtest_env.Append(CCFLAGS='-I/usr/src/gtest')
+gtest_env.VariantDir('.', '/usr/src/gtest/src', duplicate=0)
+libgtest = gtest_env.Library('gtest', 'gtest-all.cc')
+
 test_env = env.Clone()
-test_env.Append(CCFLAGS=' -D__TESTING', LINKFLAGS=' -lgtest')
+test_env.Append(CCFLAGS='-D__TESTING')
+test_env['LIBS'] += [libgtest, 'pthread']
 
 tests = []
 for file in Glob('*_test.cc', strings=True):
