=== debian/changelog ===
xsettingsd (0.0.20150615+2+gb4999f5e-1) unstable; urgency=low

  * Adopt the package. (Closes: #763987)
  * Import new upstream snapshot (commit b4999f5e from June 2015.
    + Fixes parsing of negative values. (Closes: #763941)
  * Apply wrap-and-sort.
  * Fix repo path in Vcs-* headers and switch them to https:// and cgit.
  * Update Homepage header and debian/copyright to follow upstream move to
    Github.
  * Bump debhelper compatibility to 9.
    + Update versioned build-dependency on debhelper accordingly.
    + debian/rules: Remove now redundant manual setting of *FLAGS.
  * Enable all hardening build flags.
  * Extract commit 796a1464 into debian/patches/LDFLAGS.patch and remove
    debian/source/local-options. The latter caused an unwanted, generic
    debian/patches/debian-changes to be generated automatically and the
    according lintian warning quilt-patch-using-template-description.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Convert debian/copyright to machine-readable DEP5 format and add
    myself to the packaging copyright.
  * debian/rules: Add get-orig-source target to generate upstream version
    number and .orig.tar.xz from upstream branch. (upstream doesn't do
    releases, at least not yet.)

 -- Axel Beckert <abe@debian.org>  Sun, 14 Aug 2016 19:05:41 +0200
