=== debian/control ===
Source: xsettingsd
Section: x11
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~),
               libx11-dev,
               pkg-config,
               scons
Standards-Version: 3.9.8
Homepage: https://github.com/derat/xsettingsd
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xsettingsd.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xsettingsd.git

Package: xsettingsd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Provides settings to X11 applications
 xsettingsd is a daemon that implements the XSETTINGS specification.
 It is intended to be small, fast, and minimally dependent on other
 libraries. It can serve as an alternative to gnome-settings-daemon
 for users who are not using the GNOME desktop environment but who
 still run GTK+ applications and want to configure things such as
 themes, font antialiasing/hinting, and UI sound effects.
