## xsettingsd 0.0.20171105+1+ge4cf9969

=== debian/changelog ===
xsettingsd (0.0.20171105+1+ge4cf9969-1) unstable; urgency=low

  * New upstream snapshot
    + Drop all patches, applied upstream.
  * Switch to debhelper compatibility level 11.
    + Drop now implicit --parallel
    + Bump versioned debhelper build dependency accordingly.
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Optimize debian/rules by running scons in the dh_auto_configure
    override instead as part of the dh_auto_build override.
  * Update Vcs-* headers for the switch to salsa.debian.org.

 -- Axel Beckert <abe@debian.org>  Tue, 02 Jan 2018 09:17:37 +0100
