=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: x11
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                libx11-dev,
                pkg-config,
                scons
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/derat/xsettingsd
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xsettingsd.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xsettingsd.git
+Vcs-Git: https://salsa.debian.org/debian/xsettingsd.git
+Vcs-Browser: https://salsa.debian.org/debian/xsettingsd
+Rules-Requires-Root: no
 
 Package: xsettingsd
 Architecture: any
