=== SConstruct ===
--- 
+++ 
@@ -28,10 +28,10 @@
     [stdout, stderr] = proc.communicate()
     proc.wait()
     if proc.returncode == 0:
-      print '%s OK' % padded_name
+      print('%s OK' % padded_name)
     else:
-      print "%s FAILED\n" % padded_name
-      print stdout
+      print("%s FAILED\n" % padded_name)
+      print(stdout)
 
 run_tests_builder = Builder(action=run_tests)
 
@@ -44,7 +44,7 @@
 env.Append(CPPFLAGS=os.environ.get('CPPFLAGS', ''),
            CFLAGS=os.environ.get('CFLAGS', ''),
            CXXFLAGS=os.environ.get('CXXFLAGS', ''),
-           LDFLAGS=os.environ.get('LDFLAGS', ''))
+           LINKFLAGS=os.environ.get('LDFLAGS', ''))
 
 env.Append(CCFLAGS='-Wall -Werror -Wno-narrowing')
