=== debian/changelog ===
xsettingsd (1.0.2-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:54:54 +0200

xsettingsd (1.0.2-1) unstable; urgency=medium

  * Fix missing right round bracket in 0.0.20150615+2+gb4999f5e-1
    changelog entry.
  * Add a debian/watch file. Upstream now does releases. Yay! :-)
  * Add a DEP12 debian/upstream/metadata file.
  * Import new upstream minor bugfix release 1.0.2.
    + The previous 0.0.20171105+1+ge4cf9969 upstream snapshot actually was
      identical to the retroactively declared 1.0.0 version.
    + Introduces CMake as alternative build system, but at least for
      bullseye, no build system switch is done since were close to the
      freeze.
    + Update debian/docs to follow renamed file.
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)
    + Keep get-orig-source target at least for now, in case we need to
      package git snapshots again.

 -- Axel Beckert <abe@debian.org>  Thu, 14 Jan 2021 03:05:27 +0100
