=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xsettingsd
 Section: x11
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 11~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libx11-dev,
                pkg-config,
                scons
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Homepage: https://github.com/derat/xsettingsd
 Vcs-Git: https://salsa.debian.org/debian/xsettingsd.git
 Vcs-Browser: https://salsa.debian.org/debian/xsettingsd
